Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The Devbox ID.

Body

application/json
command
string
required

The command to execute via the Devbox shell. Commands are run from the user home directory in a fresh login shell.

attach_stdin
boolean | null

Whether to attach stdin streaming for async commands. Not valid for execute_sync endpoint. Defaults to false if not specified.

Response

OK

devbox_id
string
required

Devbox id where command was executed.

execution_id
string
required

Ephemeral id of the execution in progress.

status
enum<string>
required

Current status of the execution.

Available options:
queued,
running,
completed
stdout
string | null

Standard out generated by command. This field will remain unset until the execution has completed.

stderr
string | null

Standard error generated by command. This field will remain unset until the execution has completed.

exit_status
integer<int32> | null

Exit code of command execution. This field will remain unset until the execution has completed.

stdout_truncated
boolean | null

Indicates whether the stdout was truncated due to size limits.

stderr_truncated
boolean | null

Indicates whether the stderr was truncated due to size limits.